API ReferenceReported Time
Creates a ReportedTime resource.
Creates a ReportedTime resource.
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
timesheetApproval?string
ReportedTime timesheetApproval
Format
uuidtimesheetApproval[]?array<>
ReportedTime timesheetApproval
The new ReportedTime resource
TypeScript Definitions
Use the request body type in TypeScript.
reportDate*string
Format
date-timeseconds*integer
Range
60 <= valuedescription?|
Length
length <= 500timeType*|
Format
uuidtask*string
Format
uuidprojectUser*string
Format
uuidResponse Body
curl -X POST "https://example.com/project/reported-times" \ -H "Content-Type: application/json" \ -d '{ "reportDate": "2019-08-24T14:15:22Z", "seconds": 60, "timeType": "10bb67a1-93dd-4d01-9750-716fcb6b0887", "task": "4879b8a6-fb3e-4a0d-aef8-b0ea469ac85c", "projectUser": "c99177a0-040a-4632-80db-3ec5757f833e" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "description": "string", "reportDate": "2019-08-24T14:15:22Z", "seconds": 0, "isCreatedManually": true, "timesheetApprovalStatus": "pending", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "timeType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isDefault": true, "isPaid": true, "isActive": true }}